运维开发网

在深度Deepin系统中安装指定QT版本,自行下载.run文件安装的方法

运维开发网 https://www.qedev.com 2021-01-27 19:48 出处:深度站 作者:hws0420
如果你想在深度Deepin操作系统中安装指定QT版本,即自行到QT官网下载.run文件进行安装,那就采用以下方法。因为之前使用QT应用商店安装QT一直都有问题,下载run文件安装没有报错,但

如果你想在深度Deepin操作系统中安装指定QT版本,即自行到QT官网下载.run文件进行安装,那就采用以下方法。因为之前使用QT应用商店安装QT一直都有问题,下载run文件安装没有报错,但是仍是无法正常编译,采用了下面的方法终于解决了,写出来分享下,并且也让其他要自行安装QT的人一个指引。

 

1、更新QT依赖

在深度系统的终端中运行以下命令:

sudo apt-get install build-essential

sudo apt-get install libgl1-mesa-dev

sudo apt-get install gdb

 

2、下载QT离线安装包

地址在:https://download.qt.io/archive/qt/,如果你想使用Qt 5.13,请参考Qt 5.13发布下载,附新特性/新功能介绍一文。

在深度Deepin系统中安装指定QT版本,自行下载.run文件安装的方法

说明:选择自己喜欢版本对应的.run文件,如qt-opensource-Linux-x64-5.13.1.run。

 

3、运行以下命令安装

运行形如以下命令:

sudo ./your/download/path/*.run文件

说明:请根据自己的情况进行调整,加上sudo默认安装到/oprt,否则默认安装到/home目录下。

 

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号